Creates reversal (credit) bills for specified bills, supporting selection of destination batch when multiple are open
Use this endpoint to create bills with negated amounts to reverse original bills. Unlike the V3 version,
this endpoint supports scenarios where multiple batches are open by allowing explicit batch selection for reversal bills.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
BillReversalRequestV202510
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| batchSettings | ReversalBatchSettingsV202510 | |||||||||||||||||||||||||||||||||||||||||||||||||
|
ReversalBatchSettingsV202510 properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||
| billIds | Bill ids to reverse Required Cannot be Empty | integer[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Example Request Body
{ "batchSettings": { "batchMode": "string", "existingOpenBatchId": 1, "newBatch": { "accountPeriodNumber": 1, "accountPeriodYear": 1, "batchCode": "string", "closeExistingBatch": false, "controlCode": "string", "dueDate": "2026-06-29", "invoiceNumber": "string", "nextReading": "2026-06-29", "note": "string", "statementDate": "2026-06-29"
}
}, "billIds": [
1
]
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
UpdateResult
| Property | Description | Type |
|---|---|---|
| selected | The total number of items that were targeted by the bulk operation Required (defined) | integer (int32) |
| updated | The number of items that were actually modified (excludes items that already matched the target state) Required (defined) | integer (int32) |
Example Response
{ "selected": 1, "updated": 1
}